#!/bin/bash
# /usr/local/bin/createdb.sh

# WARNING THIS WILL WIPE YOUR CURRENT videometadata info - SO BACKUP FIRST IF REQ'D OR remove it
mysql -u root -e "DROP TABLE IF EXISTS mythconverg.videometadata;"
mysql -u root -e "CREATE TABLE mythconverg.videometadata (
  intid int(10) unsigned NOT NULL auto_increment,
  title varchar(128) NOT NULL default '',
  director varchar(128) NOT NULL default '',
  plot text,
  rating varchar(128) NOT NULL default '',
  inetref varchar(32) NOT NULL default '',
  year int(10) unsigned NOT NULL default '0',
  userrating float NOT NULL default '0',
  length int(10) unsigned NOT NULL default '0',
  showlevel int(10) unsigned NOT NULL default '0',
  filename text NOT NULL,
  coverfile text NOT NULL,
  childid int(11) NOT NULL default '-1',
  browse tinyint(1) NOT NULL default '1',
  playcommand varchar(255) default NULL,
  category int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (intid),
  KEY director (director),
  KEY title (title),
  KEY title_2 (title)
) TYPE=MyISAM;"


# INSERT DUMMY RECORDS
for i in `seq 1 8`;
do
	for j in `seq 1 8`;
	do
		for k in `seq 1 8`;
		do
			for l in `seq 1 20`;
			do
			   echo $i,$j,$k,$l
			   mysql -u root -e "INSERT INTO mythconverg.videometadata VALUES (-1,'Video File ${i}${j}${k}${l}','David Fincher','An office employee and a soap salesman build a global organization to help vent male aggression.','NR','0137523',1999,8.6,139,1,'/myth/video/library/folder00${i}/folder10${j}/folder20${k}/video file ${i}${j}${k}${l}.avi','/myth/video/.covers/0137523.jpg',-1,1,'playvideo.sh \"/cdrom/video file ${i}${j}${k}${l}.avi\" 0${i}${j}${k}', ${i});"
			done
		done	
	done
done    

exit $EXITVAL

# CREATE DUMMY FILES (If required. Not needed in 0.18)
# My setup used the number at the end of the playcommand to request the user insert that disk number where the files would be found
VIDEO_ID=0
EXITVAL=0
while [ ${EXITVAL} -eq 0 ] ; do ### endless loop for if $1 = -1
	VIDEO_ID=$(mysql -u root -e "SELECT intid FROM mythconverg.videometadata WHERE intid > ${VIDEO_ID} && browse = 1 LIMIT 0, 1;" -BN)
	if [[ ${VIDEO_ID} == "" ]] ; then
		EXITVAL=1
	else
		VIDFILE=$(mysql -u root -e "SELECT filename FROM mythconverg.videometadata WHERE intid = $VIDEO_ID;" -BN)
		VIDPATH=${VIDFILE%/*}
		
		if [ ! -e "${VIDPATH}" ] ; then
		    mkdir -p "${VIDPATH}"
		    echo "Created folder ${VIDPATH}"
		fi 
		
		if [ ! -e "${VIDFILE}" ] ; then
          touch "${VIDFILE}"
		    echo "Created file ${VIDFILE}"
		fi 
	fi
done 


